OGRE: Ogre::DynLibManager Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::DynLibManager Class Reference
Core » General

Manager for Dynamic-loading Libraries. More...

`#include <OgreDynLibManager.h>`

Inheritance diagram for Ogre::DynLibManager:
[legend]

## Public Member Functions
| DynLibManager ()
| Default constructor.
| ~DynLibManager ()
| Default destructor.
DynLib * | load (const String &filename)
| Loads the passed library.
void | unload (DynLib *lib)
| Unloads the passed library.
Public Member Functions inherited from Ogre::Singleton< DynLibManager >
| ~Singleton (void)

## Static Public Member Functions
static DynLibManager & | getSingleton (void)
| Get the singleton instance.
static DynLibManager * | getSingletonPtr (void)
| Get the singleton instance.
Static Public Member Functions inherited from Ogre::Singleton< DynLibManager >
static DynLibManager & | getSingleton (void)
| Get the singleton instance.
static DynLibManager * | getSingletonPtr (void)
| Get the singleton instance.

## Detailed Description

Manager for Dynamic-loading Libraries.

This manager keeps a track of all the open dynamic-loading libraries, opens them and returns references to already-open libraries.

## Constructor & Destructor Documentation

## ◆ DynLibManager()

Ogre::DynLibManager::DynLibManager | ( |  | ) |

Default constructor.

Note
  Should never be called as the singleton is automatically created during the creation of the Root object.

See also
  Root::Root

Referenced by getSingleton(), and getSingletonPtr().

## ◆ ~DynLibManager()

Ogre::DynLibManager::~DynLibManager | ( |  | ) |

Default destructor.

See also
  Root::~Root

## Member Function Documentation

## ◆ load()

DynLib * Ogre::DynLibManager::load | ( | const String & | filename | ) |

Loads the passed library.

Parameters

  filename | The name of the library. The extension can be omitted.

## ◆ unload()

void Ogre::DynLibManager::unload | ( | DynLib * | lib | ) |

Unloads the passed library.

Parameters

  lib | The library.

## ◆ getSingleton()

DynLibManager & Ogre::DynLibManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

References DynLibManager().

## ◆ getSingletonPtr()

DynLibManager * Ogre::DynLibManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

References DynLibManager().

The documentation for this class was generated from the following file:

- OgreDynLibManager.h